/****  DISPIO.H

       Header file for DISPIO.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  Defined Constants * * * */

/* * * *  External Function Prototypes * * * */

extern int DisplayOn (void);
extern int DisplayOff (void);
extern int WritePixel (int, int, int);
extern int ReadPixel (int, int, int *);
extern int DisplayLine (unsigned char *,int ,int ,int );
extern int GetLine (unsigned char *,int ,int ,int );
extern int FormatLine (unsigned char *buffer, int nsdd, int nsd, int bitshift, int NoScale, char status[]);
extern int ClearDisplay (int );
extern int Which_Tseng(void);

/* * * *  External Global Variables * * * */

extern int     atibank;
extern int     LastPage;
extern char    specname[8];
extern int     dispnl, dispns, numDN, numshades, OneScreen;
extern int     tseng;

/* DisplayDevice indicates the type of display (CGA=0, EGA=1, PGA=2).
   dispnl        is the number of lines in the display.
   dispns        is the number of samples in the display.
   numDN         is the number of unique pixel values (e.g. 4 bits ->
                 numDN=16).
   numshades     is the number of shades each of red, green, and blue
                 (e.g.  numshades=16 gives 16**3 = 4096 possible colors).
   OneScreen     is true if there is only one screen, i.e. there is not
                 image screen and a text screen.
*/

extern Color   DefaultPalette[256], PaletteTable[256];

extern enum Display
             { DISPLAY_MIN = -1, CGA200, EGA350, PGA, VGA480, VGA200, BIOS,
               ORCHID480, ORCHID600, EVGA640, EVGA512, EVGA800, EGA480,
               ATI640, ATI800, ATI1024, PARADISE, ORCHID768, TRIDENT, VESA,
               VESA800, VESA640, EV629, TEST, DISPLAY_MAX };

extern enum    Display DisplayDevice;
