/****  DISPUTIL.H

       Header file for DISPUTIL.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int  DrawLine (int, int, int, int, int);
extern int  DrawBox (int, int, int, int, int);
extern int  RemoveCursor (void);
extern int  PlaceCursor (int, int, int);
extern int  MoveCursorInput (int *, int *, unsigned char *);
extern int  MoveCursor (int *, int *);
extern int  InitDisplay (void);
extern void FrameBox( int, int, int, int, int, int);
extern void RubberBand (int, int, int *, int *);

/* * * *  External Global Variables * * * */

extern int             CursorOn;                   /* cursor flag */
extern int             CursorLine, CursorSample;   /* cursor location */
extern int             CursorInc;                  /* size of cursor steps */
extern unsigned char   CursorPatch[CURSORSIZE][CURSORSIZE];
                 /* contains display pixels displaced by cursor */
