/* file: ev629.h
   Defines for ev629 routines in C
*/

#define  MODE8n 0x15     /*request 8bit narrow (512) mode*/
#define  MODE8 0x30     /*request the board to be in 8bit mode*/
#define  MODE16n 0x70   /*narrow (512) 16bit mode, not supported*/
#define  MODE16 0x71   /*request the board to be in 16bit mode*/
#define  MODE32n 0x76   /*narrow (512) 32bit mode, not supported*/
#define  MODE32 0x77    /*request 32bit mode*/

extern void setcolor(long c);
extern long buildcolor(unsigned int r,unsigned int g,unsigned int b);
extern void unbuildcolor(long pixel,unsigned int *r,unsigned int *g,
                         unsigned int *b);
extern long drawcolor;     /*current drawing color for fill routines*/

extern void setwide(int);
extern void setbits(int);
extern int init629(void);
extern void done629(void);
extern void loadmp(unsigned char colormap[]);

#define RED       buildcolor(255,000,000)
#define GREEN     buildcolor(000,255,000)
#define BLUE      buildcolor(000,000,255)
#define CYAN      buildcolor(000,255,255)
#define MAGENTA   buildcolor(255,000,255)
#define YELLOW    buildcolor(255,255,000)
#define WHITE     buildcolor(255,255,255)
#define BLACK     0x00l
#define GREY      buildcolor(127,127,127)

extern short  colorbytes;    /*bytes per pixel in current mode*/
extern short  colorbits;    /*bits per pixel in current mode*/
extern short  bitmode;     /*internal storage for requested ROM BIOS mode*/
extern short  initflag;   /*internal flag for board aready in a true color mode*/
extern short  multcon;   /*multiplication constant for addressing modes*/
extern short  lineoff;  /*offset to start of lines in memory banks*/
extern short  dualscr;   /*flag indicating a dual screen system is in use*/

extern long evgabank();   /*routine that returns a setbank pointer*/
extern long setmembank;  /*32bit pointer to ROM setbank routine*/
extern long vesabank;   /*32bit pointet to VESA setbank routine*/
extern long far *pixaddr(int x,int y); /*c callable pixel address routine*/
extern long far *setsource(int x,int y,int len); /*c callable source address routine*/
extern long far *setread(int x,int y);   /*sets read page on VESA VGA's*/
extern long far *setwrite(int x,int y); /*sets write page*/

extern short xwidth;    /*width, and*/
extern short yheight;  /*height of the frame buffer, in pixels*/

typedef  long    colorval;
typedef  long    colortem;

