/****  IMAGEIO.H

       Header file for IMAGEIO.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int ReadLabel (int ,char *,int ,char *);
extern int WriteLabel (int, char *, unsigned int, char *);
extern int OpenImage (char *, int, char *, int *, int *, int *, char *);
extern int CloseImage (int, char *);
extern int ReadLine (int, unsigned char *, int, int, int, char *);
extern int WriteLine (int, unsigned char *, int, int, int, char *);
extern int CheckStatus (char *);
extern int ConvertLine (unsigned char *, unsigned char *, int, int, int, char *);
extern int ReadXMSLine (unsigned char *, int, int, int);
extern int OpenGifFile(char *, int *, int *, int *, char *);

/* * * *  External Global Variables * * * */


extern struct ImageBlockType   /* The image control block structure */
    {
          long   block;        /* block # of start of buffer at */
          int    blksiz;       /* block size in bytes */
          int    maxbuf;       /* max size of buffer in blocks */
          int    bufsiz;       /* # of blocks of buffer in use */
 unsigned int    lblsiz;       /* label size in bytes */
          int    pixsiz;       /* size of pixels in bits */
          int    reclen;       /* record length in bytes */
          int    nl, ns;       /* number of lines and samples */
          int    linhed;       /* line header length in bytes */
          char   access;       /* R for read, W for write */
          int    gif;          /* gif flag */
    }   IMCB[MaxNumImages];


extern unsigned char *ImageBuffer[MaxNumImages]; /* pointers to image buffers*/
extern int            ImageLocation;             /* where the image resides */
extern int            ImageHandle;               /* handle to extended mem */
extern int            ImageMemory;               /* Is image in memory? */
extern int            ImageGifLine;
extern char           LabelBuf[LabelBufferLen];
extern char           LabelFileName[64];
extern unsigned char *gif_buffer;
