/****  PLOT.H

       Header file for PLOT.C
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern void    Plot8(unsigned char *, unsigned char, unsigned char, int,
                  char *, int, int, int, int, int, int, char);
extern void    Plot32(long *, long, long, int, int, char *, int, int, int, int,
                   int, int, char);
extern void    Plotpair(long xbuf[], long buf[], long minx, long maxx,
                  long miny, long maxy, int len, char * symbol, int color,
                  int zoom);
extern long    min3arr( long *, int);
extern long    max3arr( long *, int);
extern int     DoPlot (void);
extern int     DoPerspect (void);
extern void    FramePlot (int, int, int, int, long, long, long, long);

/* * * *  Structure Prototypes * * * */

typedef    struct  Point
    {
       int x;                          /* screen X coordinate (sample) */
       int y;                          /* screen Y coordinate (line) */
    } Point;

typedef    struct  Scale
    {
       float   true_to_DN;             /* scale factor to file DN */
       float   DN_to_s;                /* scale factor to screen */
    } Scale;

typedef    struct  Parms
    {
       float   range;                  /* range, true coordinates */
       long    range_DN;               /* range, DN (file) coordinates */
       int     range_s;                /* range, screen coordinates */

       float   low;                    /* low value, true coordinates */
       long    low_DN;                 /* low value, DN (file) coordinates */
       int     low_s;                  /* low value, screen coordinates */

       float   high;                   /* high value, true coordinates */
       long    high_DN;                /* high value, DN (file) coordinates */
       int     high_s;                 /* high value, screen coordinates */
    } Parms;

typedef    struct  PlotCoord
    {
       Scale   scale;                  /* scale factors */
       Parms   parms;                  /* misc. parameters */
       float   start;                  /* true initial value */
       float   interval;               /* true point-to-point interval */
    } PlotCoord;

typedef    struct  Plot
    {
       PlotCoord   X;                  /* X coordinate values */
       PlotCoord   Y;                  /* Y coordinate values */
    } Plot;

/* * * *  External Global Variables * * * */

