.MODEL  LARGE

ifdef _286
.286
endif

.CODE

; Function:
;      Enable old definition of mode registers
;
; Calling protocol:
;      Old_Mode_Trident();
;
Old_Mode_Trident   proc far
       mov     dx, 3c4h
       mov     ax,000bh     ; index the version register
       out     dx,ax        ; perform write to cause old definition

       ret
Old_Mode_Trident   endp

; Function:
;      Enable new definition of mode registers
;
; Calling protocol:
;      New_Mode_Trident();
;
New_Mode_Trident   proc far
       mov     dx,3c4h
       mov     ax,000bh    ; index the version register
       out     dx,ax       ; perform write to cause old definition
       in      ax,dx       ; read to cause new definition

       ret
New_Mode_Trident   endp

; Function:
;      Macro to load the Write Bank with a new start address
;
; Input with:
;      bl - Write Bank Number
;           0 - 15 bank number indicating desired bank
;
; Calling protocol:
;      Load_Write_Bank_Trident
;

Load_Write_Bank_Trident    macro

;      set up index to Bank Select Register

       mov     dx, 3c4h    ; point to mode control #1 register
       mov     al,0eh
       xor     bl,02       ; adjust page bit
       mov     ah,bl
       out     dx,ax       ; output bank

endm

; Function:
;      Macro to load the Read Bank with a new start address
;
; Input with:
;      bl - Read Bank Number
;           0 - 15 bank number indicating desired bank
;
; Calling protocol:
;      Load_Read_Bank_Trident
;

Load_Read_Bank_Trident     macro

;      set up index to Bank Select Register

       mov     dx,3c4h     ; point to mode control #1 register
       mov     al,0eh
       mov     ah,bl
       out     dx,ax       ; output bank

endm

; Function:
;      Load the Write Bank with a new start address
;
; Input with:
;      write_bank - Write Bank Number
;                   0 - 7 bank number indicating desired bank
;
; Calling protocol:
;      Set_Write_Bank_Trident(write_bank);
;

Set_Write_Bank_Trident     proc far arg1:byte

;      set up index to Bank Select Register

       mov     bl,arg1     ; get page
       Load_Write_Bank_Trident
       ret

Set_Write_Bank_Trident     endp

; Function:
;      Load the Read Bank with a new start address
;
; Input with:
;      read_bank - Read Bank Number
;                  0 - 7 bank number indicating desired bank
;
; Calling protocol:
;      Set_Read_Bank_Trident(read_bank);
;

Set_Read_Bank_Trident     proc far arg1:byte

;      set up index to Bank Select Register

       mov     bl,arg1     ; get page
       Load_Read_Bank_Trident
       ret

Set_Read_Bank_Trident     endp

end
